package cn.dankal.test.service.controller;

import cn.dankal.test.common.CommonUtil;
import cn.dankal.test.service.client.TestBClientV1;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

/**
 * {@link RestController}
 * TestAController
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020-10-11
 * @copyright www.dankal.cn
 */
@RestController
public class TestAControllerV1 {

    /**
     * B Service Client V1
     */
    private final TestBClientV1 bClientV1;

    /**
     * CommonUtil
     */
    private final CommonUtil commonUtil;

    public TestAControllerV1(TestBClientV1 bClientV1, CommonUtil commonUtil) {
        this.bClientV1 = bClientV1;
        this.commonUtil = commonUtil;
    }

    @GetMapping("/test/info/{value}")
    public String info(@PathVariable(value = "value") String value) {
        value = commonUtil.getPluginInfo(value);
        return bClientV1.info(value);
    }

    @GetMapping("/test/simple/{value}")
    public String simple(@PathVariable("value") String value) {
        String versionTag = "service a V1";
        value = commonUtil.getSimpleTag(value, versionTag);
        return bClientV1.simple(value);
    }


}
