package cn.dankal.test.service.controller;

import cn.dankal.test.common.CommonUtil;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

/**
 * {@link RestController}
 * TestBControllerV2
 *
 * @author ZGH.MercyModest
 * @version V2.0.0
 * @create 2020-10-11
 * @copyright www.dankal.cn
 */
@RestController
public class TestBControllerV2 {

    /**
     * Common Util
     */
    private final CommonUtil commonUtil;

    public TestBControllerV2(CommonUtil commonUtil) {
        this.commonUtil = commonUtil;
    }

    @GetMapping(path = "/test/info/{value}")
    public String info(@PathVariable(value = "value") String value) {
        return commonUtil.getPluginInfo(value);
    }


    @GetMapping(path = "/test/simple/{value}")
    public String simple(@PathVariable(value = "value") String value) {
        String versionTag = "service b V2";
        return commonUtil.getSimpleTag(value, versionTag);
    }
}
